<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <FrameLayout
        android:id="@+id/fl_top"
        android:layout_width="match_parent"
        android:layout_height="50dp"
        app:layout_constraintTop_toTopOf="parent">

        <FrameLayout
            android:id="@+id/fl_back"
            android:layout_width="50dp"
            android:layout_height="50dp"
            tools:ignore="UselessParent">

            <ImageView
                android:layout_width="17dp"
                android:layout_height="17dp"
                android:layout_gravity="center"
                android:src="@drawable/iv_return"
                tools:ignore="ContentDescription" />
        </FrameLayout>

        <TextView
            android:id="@+id/tv_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:text="App Manager"
            android:textColor="#000000"
            android:textSize="19sp"
            android:textStyle="bold"
            tools:ignore="HardcodedText" />

        <FrameLayout
            android:id="@+id/fl_search"
            android:layout_width="50dp"
            android:layout_height="50dp"
            android:layout_gravity="center_vertical|end"
            android:visibility="gone"
            tools:ignore="UselessParent">

            <ImageView
                android:layout_width="23dp"
                android:layout_height="23dp"
                android:layout_gravity="center"
                android:src="@drawable/sousuo"
                tools:ignore="ContentDescription" />
        </FrameLayout>

    </FrameLayout>

    <LinearLayout
        android:id="@+id/ll"
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:layout_marginHorizontal="5dp"
        app:layout_constraintTop_toBottomOf="@id/fl_top"
        tools:ignore="DisableBaselineAlignment">


        <LinearLayout
            android:id="@+id/ll_name"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_marginHorizontal="5dp"
            android:layout_weight="1"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_gravity="center"
                android:layout_weight="1"
                android:orientation="horizontal"
                tools:ignore="NestedWeights">

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:includeFontPadding="false"
                    android:text="Name"
                    android:textColor="#000000"
                    android:textSize="14sp"
                    tools:ignore="HardcodedText" />

                <com.base.superfilemanager.view.ArrowView
                    android:id="@+id/arrow_name"
                    android:layout_width="12dp"
                    android:layout_height="match_parent"
                    android:layout_gravity="center_vertical"
                    android:layout_marginHorizontal="5dp" />

            </LinearLayout>

            <View
                android:id="@+id/v_name"
                android:layout_width="match_parent"
                android:layout_height="4dp"
                android:background="@color/theme_color"
                android:visibility="invisible" />

        </LinearLayout>

        <LinearLayout
            android:id="@+id/ll_install"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_marginHorizontal="5dp"
            android:layout_weight="1"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_gravity="center"
                android:layout_weight="1"
                android:orientation="horizontal"
                tools:ignore="NestedWeights">

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:includeFontPadding="false"
                    android:text="Install"
                    android:textColor="#000000"
                    android:textSize="14sp"
                    tools:ignore="HardcodedText" />

                <com.base.superfilemanager.view.ArrowView
                    android:id="@+id/arrow_install"
                    android:layout_width="12dp"
                    android:layout_height="match_parent"
                    android:layout_gravity="center_vertical"
                    android:layout_marginHorizontal="5dp" />

            </LinearLayout>

            <View
                android:id="@+id/v_install"
                android:layout_width="match_parent"
                android:layout_height="4dp"
                android:background="@color/theme_color"
                android:visibility="invisible" />

        </LinearLayout>


        <LinearLayout
            android:id="@+id/ll_size"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_marginHorizontal="5dp"
            android:layout_weight="1"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_gravity="center"
                android:layout_weight="1"
                android:orientation="horizontal"
                tools:ignore="NestedWeights">

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:includeFontPadding="false"
                    android:text="Size"
                    android:textColor="#000000"
                    android:textSize="14sp"
                    tools:ignore="HardcodedText" />

                <com.base.superfilemanager.view.ArrowView
                    android:id="@+id/arrow_size"
                    android:layout_width="12dp"
                    android:layout_height="match_parent"
                    android:layout_gravity="center_vertical"
                    android:layout_marginHorizontal="5dp" />

            </LinearLayout>

            <View
                android:id="@+id/v_size"
                android:layout_width="match_parent"
                android:layout_height="4dp"
                android:background="@color/theme_color"
                android:visibility="invisible" />

        </LinearLayout>

        <LinearLayout
            android:id="@+id/ll_last_use"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_marginHorizontal="5dp"
            android:layout_weight="1.2"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_gravity="center"
                android:layout_weight="1"
                android:orientation="horizontal"
                tools:ignore="NestedWeights">

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:includeFontPadding="false"
                    android:text="Last Used"
                    android:textColor="#000000"
                    android:textSize="14sp" />

                <com.base.superfilemanager.view.ArrowView
                    android:id="@+id/arrow_last_use"
                    android:layout_width="12dp"
                    android:layout_height="match_parent"
                    android:layout_gravity="center_vertical"
                    android:layout_marginHorizontal="5dp" />

            </LinearLayout>

            <View
                android:id="@+id/v_last_use"
                android:layout_width="match_parent"
                android:layout_height="4dp"
                android:background="@color/theme_color"
                android:visibility="invisible" />

        </LinearLayout>

    </LinearLayout>

    <LinearLayout
        android:id="@+id/ll_content"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:orientation="vertical"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@id/ll"
        tools:ignore="UselessParent">

        <androidx.viewpager2.widget.ViewPager2
            android:id="@+id/viewpager2"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1" />

        <TextView
            android:id="@+id/tv_uninstall"
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:layout_marginHorizontal="40dp"
            android:layout_marginTop="10dp"
            android:layout_marginBottom="20dp"
            android:background="@drawable/bg_corners_4772ff"
            android:gravity="center"
            android:text="Uninstall"
            android:textColor="@color/white"
            android:textSize="20sp"
            android:textStyle="bold"
            android:visibility="gone"
            tools:ignore="HardcodedText" />

    </LinearLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/ll_lottie"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:background="@color/white"
        android:gravity="center"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <com.airbnb.lottie.LottieAnimationView
            android:id="@+id/lottie"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:adjustViewBounds="true"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:lottie_autoPlay="true"
            app:lottie_loop="true" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="190dp"
            android:gravity="center"
            android:lineHeight="20dp"
            android:text="Scan app\n..."
            android:textColor="@color/black"
            android:textSize="19sp"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent" />


    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>